package org.cocos2dx.plugin;

import java.util.Hashtable;
import android.content.Context;
import android.view.WindowManager;
import jp.adlantis.android.AdlantisView;

public class AdsAdlantisBanner extends AdsAdlantisPlugin{



    private AdlantisView adView = null;

    private WindowManager mWm = null;

    public AdsAdlantisBanner(Context context) {
        super(context);
    }
    
    @Override
    public void showAds(Hashtable<String, String> adsInfo, int pos) {
        showBannerAd(pos);
    }

    private void showBannerAd(int pos) {
        final int curPos = pos;

        PluginWrapper.runOnMainThread(new Runnable() {

            @Override
            public void run() {
                // destory the ad view before
                if (null != adView) {
                    if (null != mWm) {
                        mWm.removeView(adView);
                    }
                    adView.clearAds();
                    adView = null;
                }

                adView = new AdlantisView(mContext);
                adView.setPublisherID(mPublishID);

                //adView.setAdListener(new AdmobAdsListener());

                if (null == mWm) {
                    mWm = (WindowManager) mContext.getSystemService("window");
                }
                AdsWrapper.addAdView(mWm, adView, curPos);
            }
        });
    }
    
    @Override
    public void hideAds(Hashtable<String, String> adsInfo) {
        PluginWrapper.runOnMainThread(new Runnable() {
            @Override
            public void run() {
                if (null != adView) {
                    if (null != mWm) {
                        mWm.removeView(adView);
                    }
                    adView.clearAds();
                    adView = null;
                }
            }
        });
    }

}
