package org.cocos2dx.plugin;

import java.util.Hashtable;
import android.content.Context;
import jp.adlantis.android.AdRequestNotifier;
import jp.adlantis.android.AdlantisInterstitialAd;
import jp.adlantis.android.InterstitialAdListener;

public class AdsAdlantisInterstitial extends AdsAdlantisPlugin{

    private static AdsAdlantisInterstitial mAdapter = null;
    
    private AdlantisInterstitialAd interstitialAd = null;

    public AdsAdlantisInterstitial(Context context) {
        super(context);
        mAdapter = this;
    }

    @Override
    public void showAds(Hashtable<String, String> adsInfo, int pos) {
        showInterstitial();
    }

    private void showInterstitial() {

        PluginWrapper.runOnMainThread(new Runnable() {

            @Override
            public void run() {
                if (null != interstitialAd) {
                    interstitialAd.cancel();
                    interstitialAd = null;
                }

                interstitialAd = new AdlantisInterstitialAd(mContext, mPublishID);
                interstitialAd.addRequestListener(new AdlantisInterstitialAdListener());
                interstitialAd.show();
            }
        });
    }
    
    @Override
    public void hideAds(Hashtable<String, String> adsInfo) {

        PluginWrapper.runOnMainThread(new Runnable() {
            @Override
            public void run() {
                if (null != interstitialAd) {
                    interstitialAd.cancel();
                }
            }
        });

    }

    private class AdlantisInterstitialAdListener implements InterstitialAdListener{

        @Override
        public void onFailedToReceiveAd(AdRequestNotifier arg0) {
            int errorNo = AdsWrapper.RESULT_CODE_UnknownError;
            String errorMsg = "Unknow error";
            LogD("failed to receive ad : " + errorNo + " , " + errorMsg);
            AdsWrapper.onAdsResult(mAdapter, errorNo, errorMsg);
        }

        @Override
        public void onReceiveAd(AdRequestNotifier arg0) {
            LogD("onReceiveAd invoked");
            AdsWrapper.onAdsResult(mAdapter, AdsWrapper.RESULT_CODE_AdsReceived, "Ads request received success!");
        }

        @Override
        public void onTouchAd(AdRequestNotifier arg0) {
            // TODO Auto-generated method stub
            
        }

        @Override
        public void onDismissScreen(AdRequestNotifier arg0) {
            LogD("onDismissScreen invoked");
            AdsWrapper.onAdsResult(mAdapter, AdsWrapper.RESULT_CODE_AdsDismissed, "Ads view dismissed!");
        }

        @Override
        public void onPresentScreen(AdRequestNotifier arg0) {
            LogD("onPresentScreen invoked");
            AdsWrapper.onAdsResult(mAdapter, AdsWrapper.RESULT_CODE_AdsShown, "Ads view shown!");
        }
        
    }
}
