package org.cocos2dx.plugin;

import java.util.Hashtable;
import org.cocos2dx.plugin.InterfaceAds;

import android.content.Context;
import android.util.Log;
import org.json.JSONObject;

abstract class AdsAdlantisPlugin implements InterfaceAds {

    protected static Context mContext = null;
    protected static boolean bDebug = false;
    
    protected String mPublishID = "";
    
    public AdsAdlantisPlugin(Context context) {
        mContext = context;
    }

    @Override
    public void configDeveloperInfo(Hashtable<String, String> devInfo) {
        try {
            mPublishID = devInfo.get("AdlantisPublisherID");
            LogD("init AppInfo : " + mPublishID);
        } catch (Exception e) {
            LogE("initAppInfo, The format of appInfo is wrong", e);
        }

    }

    @Override
    public void queryPoints() {
        // TODO Auto-generated method stub

    }

    @Override
    public void spendPoints(int points) {
        // TODO Auto-generated method stub

    }

    @Override
    public void setDebugMode(boolean debug) {
        bDebug = debug;

    }

    @Override
    public String getSDKVersion() {
        return "1.5.5";
    }

    @Override
    public String getPluginVersion() {
        return "1.0.0";
    }
    protected void LogD(String msg) {
        if (bDebug) {
            Log.d(getClass().getName(), msg);
        }
    }
    
    protected  void LogE(String msg, Exception e) {
        Log.e(getClass().getName(), msg, e);
        e.printStackTrace();
    }

    public float getScale(String param){
      return mContext.getResources().getDisplayMetrics().density;
    }

    public float getScale(JSONObject param){
      return mContext.getResources().getDisplayMetrics().density;
    }
}
